package cn.iocoder.yudao.module.order.vo.order;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 批量手工转异请求 VO")
public class OrderManualExceptionBatchReqVO {

    /**
     * 订单列表
     */
    @ApiModelProperty(value = "订单Id列表")
    private List<Long> orderIds;

    @ApiModelProperty(value = "转异-异常类型 eg:1,2,3")
    private String manualExceptionType;

    @ApiModelProperty(value = "转异-描述中文")
    private String descZh;

    @ApiModelProperty(value = "转异-描述英文")
    private String descEn;

    @ApiModelProperty(value = "转异-描述法文")
    private String descFr;

    @ApiModelProperty(value = "转异-影像列表")
    private List<String> exceptionUrls;


}
